Skip to main content
PUT
Update storage provider config.

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

storageProviderConfigId
string
required

Optional storage scope for root exploration. Omit to include every configured storage, pass an empty value for managed default storage, or pass a configured storage id.

Body

application/json
name
string
required

Display name for the provider configuration.

providerType
enum<string>
required

Storage provider type.

Available options:
GCS,
S3
bucket
string
required

Provider bucket/container name.

version
number
required

Current config version.

Required range: x >= 0
namespace
string

Optional namespace override. Omit or pass null for the instance default.

basePath
string

Optional base object prefix within the bucket.

publicBaseUrl
string

Optional public base URL used by downstream delivery layers.

active
boolean
default:true

Whether this config is active for its namespace.

settings
object

Provider-specific settings payload.

Response

200

OK.

Last modified on September 5, 2026